EVENTFD_CTX_READ(9)

NAME
eventfd_ctx_read - Reads the eventfd counter or wait if it is zero.

SYNOPSIS

ssize_t eventfd_ctx_read(struct eventfd_ctx * ctx, int no_wait, __u64 * cnt);

ARGUMENTS

ctx
    [in] Pointer to eventfd context.

no_wait
    [in] Different from zero if the operation should not block.

cnt
    [out] Pointer to the 64-bit counter value.

DESCRIPTION

Returns 0 if successful, or the following error codes:

-EAGAIN : The operation would have blocked but no_wait was non-zero. -ERESTARTSYS : A signal interrupted the wait operation.

If no_wait is zero, the function might sleep until the eventfd internal counter becomes greater than zero.

COPYRIGHT